> ## Documentation Index
> Fetch the complete documentation index at: https://docs.volteras.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Vehicle Charging History

> Retrieve a list of charging history sessions for the provided vehicle.

**Parameters:**
- `vehicle_id`: The unique identifier (ID) of the vehicle to retrieve charging history for.

**Returns:**
- A paginated list of vehicle charging history sessions.

This endpoint allows you to retrieve a paginated list of charging history sessions for a specific vehicle identified by its unique `vehicle_id`.
The list is ordered by the starting time of each charging session, with the most recent sessions appearing first.

**Note:**
- The `vehicle_id` should correspond to a valid and existing vehicle identifier.

_Find details on list filter syntax in our documentation [here](/overview/listing-filter-json)._


Possible Codes in Error Response (see [Errors](https://docs.volteras.com/api-reference/errors) for error response schema and meaning of codes):

- AUTHENTICATION_ERROR
- PAGE_SIZE_TOO_LARGE
- PAGINATED_QUERY_FILTER_CHANGED
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR



## OpenAPI

````yaml get /v1/vehicles/{vehicle_id}/charging-history
openapi: 3.1.0
info:
  title: VOLTERAS CONNECT
  version: 0.1.0
servers:
  - url: https://api.volteras.com
  - url: https://api.sandbox.volteras.com
security: []
paths:
  /v1/vehicles/{vehicle_id}/charging-history:
    get:
      tags:
        - Vehicle Charging History
      summary: List Vehicle Charging History
      description: >-
        Retrieve a list of charging history sessions for the provided vehicle.


        **Parameters:**

        - `vehicle_id`: The unique identifier (ID) of the vehicle to retrieve
        charging history for.


        **Returns:**

        - A paginated list of vehicle charging history sessions.


        This endpoint allows you to retrieve a paginated list of charging
        history sessions for a specific vehicle identified by its unique
        `vehicle_id`.

        The list is ordered by the starting time of each charging session, with
        the most recent sessions appearing first.


        **Note:**

        - The `vehicle_id` should correspond to a valid and existing vehicle
        identifier.


        _Find details on list filter syntax in our documentation
        [here](/overview/listing-filter-json)._



        Possible Codes in Error Response (see
        [Errors](https://docs.volteras.com/api-reference/errors) for error
        response schema and meaning of codes):


        - AUTHENTICATION_ERROR

        - PAGE_SIZE_TOO_LARGE

        - PAGINATED_QUERY_FILTER_CHANGED

        - REQUEST_VALIDATION_ERROR

        - RESOURCE_NOT_FOUND

        - SERVER_ERROR
      operationId: >-
        list_vehicle_charging_history_v1_vehicles__vehicle_id__charging_history_get
      parameters:
        - name: vehicle_id
          in: path
          required: true
          schema:
            type: string
            title: Vehicle ID
            description: Unique internal identifier for the vehicle.
          description: Unique internal identifier for the vehicle.
        - name: maxPageSize
          in: query
          required: false
          schema:
            type: integer
            title: Max page size
            description: Max size of the returned list.
          description: Max size of the returned list.
        - name: pageToken
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Page token
            description: Page token used for pagination.
          description: Page token used for pagination.
        - name: filter
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                contentMediaType: application/json
                contentSchema: {}
              - type: 'null'
            title: Filter
            description: Listing filter schema.
          description: Listing filter schema.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_VehicleChargingSession_'
      security:
        - OAuth2ClientCredentialsBearer: []
components:
  schemas:
    Page_VehicleChargingSession_:
      properties:
        results:
          items:
            $ref: '#/components/schemas/VehicleChargingSession'
          type: array
          title: Results
          description: Returned data from the listing query.
        nextPageToken:
          anyOf:
            - type: string
            - type: 'null'
          title: Next page token
          description: Next page token used for pagination.
        totalResults:
          type: integer
          title: Total results
          description: Total result count.
      type: object
      required:
        - results
        - nextPageToken
        - totalResults
      title: Page[VehicleChargingSession]
    VehicleChargingSession:
      properties:
        id:
          type: string
          title: Id
        vehicleId:
          type: string
          title: Vehicleid
        startedAt:
          type: string
          format: date-time
          title: Startedat
        endedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Endedat
        chargeDuration:
          anyOf:
            - type: integer
            - type: 'null'
          title: Chargeduration
        latitude:
          anyOf:
            - type: number
            - type: 'null'
          title: Latitude
        longitude:
          anyOf:
            - type: number
            - type: 'null'
          title: Longitude
        kwhFromGrid:
          anyOf:
            - type: number
            - type: 'null'
          title: Kwhfromgrid
        kwhInHvb:
          anyOf:
            - type: number
            - type: 'null'
          title: Kwhinhvb
        startStateOfCharge:
          anyOf:
            - type: number
            - type: 'null'
          title: Startstateofcharge
        endStateOfCharge:
          anyOf:
            - type: number
            - type: 'null'
          title: Endstateofcharge
        externalTemperature:
          anyOf:
            - type: number
            - type: 'null'
          title: Externaltemperature
        kwMedian:
          anyOf:
            - type: number
            - type: 'null'
          title: Kwmedian
      type: object
      required:
        - id
        - vehicleId
        - startedAt
        - endedAt
        - chargeDuration
        - latitude
        - longitude
        - kwhFromGrid
        - kwhInHvb
        - startStateOfCharge
        - endStateOfCharge
        - externalTemperature
        - kwMedian
      title: VehicleChargingSession
  securitySchemes:
    OAuth2ClientCredentialsBearer:
      type: oauth2
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /v1/oauth2/token

````